-------------------------------------------------------------------------------
--=> Common.lua
-- Common function that will likley be called from multiple sources and functions
-------------------------------------------------------------------------------
--=> LUACHECK OPTIONS
-------------------------------------------------------------------------------
--> LuaCheck Settings-
-- luacheck: no max line length
-- luacheck: ignore  _.* for k self
--> weizPVP Globals
-- luacheck: globals weizPVP
--> Addon Libs Globals
-- luacheck: globals
--> WoW Globals
-- luacheck: globals math.floor GetUnitSpeed IsFlying GetFramerate
-------------------------------------------------------------------------------

--=> Round Number
-------------------------------------------------------------------------------
function weizPVP:Round(number, decimal)
    local mult = 10 ^ (decimal or 0)
    return math.floor(number * mult + 0.5) / mult
end

--=> High Usage Check
-------------------------------------------------------------------------------

function weizPVP:UsageCheck()
    local playerMax = (weizPVP.MaxUnitsToParse > weizPVP.NearbyCount)
    local framerate = GetFramerate()
    if framerate < 15 or not playerMax == true then
        weizPVP.HighUsage = true
    else
        weizPVP.HighUsage = false
    end
end
